From 03e0d3903b671c3b4c3137629eea5206df997a80 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Mattias=20Engdeg=C3=A5rd?= <mattiase@acm.org>
Date: Mon, 7 Feb 2022 17:36:11 +0100
Subject: [PATCH] Pin lazily read bytecode (bug#53809)

* src/eval.c (Ffetch_bytecode): Bytecode strings read lazily weren't
pinned as they must be.  Do so.

Bug reported by Gregor Zattler.
---
 src/eval.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/eval.c b/src/eval.c
index c87b1bc704..ae9b18da0b 100644
--- a/src/eval.c
+++ b/src/eval.c
@@ -3495,6 +3495,7 @@ DEFUN ("fetch-bytecode", Ffetch_bytecode, Sfetch_bytecode,
 	      bytecode = Fstring_as_unibyte (bytecode);
 	    }
 
+	  pin_string (bytecode);
 	  ASET (object, COMPILED_BYTECODE, bytecode);
 	  ASET (object, COMPILED_CONSTANTS, XCDR (tem));
 	}
-- 
2.32.0 (Apple Git-132)

